Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Create a pdf document from a template.

POST
/customer-api/v1/report
curl --request POST \
--url https://your-instance.seventhings.com/customer-api/v1/report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "report_template_uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "object_uuids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'

Renders the given objects into the given pdf template and answers with the pdf itself. The document is not stored, every call creates it anew.

Media typeapplication/json

The template and the objects a pdf document is created from.

object
report_template_uuid
required
string format: uuid
object_uuids
required

The objects rendered into the document, in the given order.

Array<string>
>= 1 items
Examplegenerated
{
"report_template_uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"object_uuids": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}

The created pdf document

Media typeapplication/pdf
string format: binary

Request body is missing or invalid or request data is invalid.

Access token is missing or invalid.

You are not permitted to perform the requested operation.

The requested resource could not be found.

The requested resource representation has no acceptable format.

Internal Server Error.